com.independentsoft.exchange

## Class Error

- java.lang.Object
- - com.independentsoft.exchange.Error

-     public class Error
      extends java.lang.Object

  Contains an Autodiscover error response.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Error()` Initializes a new instance of the Error class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCode()` Gets the error code for an error Autodiscover response.
    `java.lang.String` | `getDebugData()` Gets the debug data for an error Autodiscover response.
    `java.lang.String` | `getId()` Gets a hash of the name of the computer that is running Microsoft Exchange Server that has the Client Access server role installed.
    `java.lang.String` | `getMessage()` Gets the error message for an error Autodiscover response.
    `java.util.Date` | `getTime()` Gets the time when the error response was returned.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Error

          public Error()

      Initializes a new instance of the Error class.

  - ### Method Detail

    - #### getTime

          public java.util.Date getTime()

      Gets the time when the error response was returned.
      Returns:
        the time

    - #### getId

          public java.lang.String getId()

      Gets a hash of the name of the computer that is running Microsoft Exchange Server that has the Client Access server role installed.
      Returns:
        the id

    - #### getCode

          public java.lang.String getCode()

      Gets the error code for an error Autodiscover response.
      Returns:
        the code

    - #### getMessage

          public java.lang.String getMessage()

      Gets the error message for an error Autodiscover response.
      Returns:
        the message

    - #### getDebugData

          public java.lang.String getDebugData()

      Gets the debug data for an error Autodiscover response.
      Returns:
        the debug data